

//添加到单独购买的列表中
//timeid--时间段id标志 
function AddDG(timeid, bespeakid) {
    //判断复选框是否选中
    //console.log($("#Time" + timeid).is(':checked')+"***");
    if (!$("#Time" + timeid).is(':checked')) {
        //选中移除
        DeleteDG(timeid);
    } else {
        //未选中增加
        $.ajax({
            type: 'Post',
            dateType: 'json',
            url: "/plus/Course/CourseAjax.ashx?action=getspeaktime&id=" + timeid,
            success: function (msg) {
                //存在数据时进行替换
                if (msg != "error") {
                    var info = JSON.parse(msg);

                    $(".c-st-tabTit dt").click();
                    //增加信息前判断li是否为空  为空移除
                    //console.log($("#DG" + bespeakid).children("li").length);//计算ul id为DG下面中的li数量信息
                    if ($("#DG" + bespeakid).children("li").length == 0) {
                        $("#DG" + bespeakid).html('');
                    }
                    //增加信息
                    $("#DG" + bespeakid).append("<li id='DG" + timeid + "'>" +
                        "<div class='clearfix'>" +
                        "<span class='del-icon' onclick=DeleteDG('" + timeid + "') ></span>" +
                        "<div class='fl c-dg-img'><img src='" + info.titlepic + "' onerror=this.src='/sysimg/nopic.gif' /></div>" +
                        "<div class='c-dg-name'>" +
                            "<p class='c-dg-title'>" + info.title + "</p>" +
                            "<p class='c-dg-time'>" + (info.year + "-" + info.month + "-" + info.day) +'<span>('+ info.starthour + ":00开播)</span>" + "</p>" +
                            "<p class='c-dg-money'>￥" + parseFloat(info.price).toFixed(2) + "</p>" +
                        "</div></li>");
                    //记录购买的信息

                    AddContent(timeid, bespeakid);
                }
            }
        });
    }
}


//判断购买方式
function SelectBuyType(type, obj) {
    switch (type) {
        case '0'://套餐购买
            $("#buytype").val("0");
            if ($("#buytype").val().indexOf(",") != -1) {
                $("#contentInfo").val("1");//套餐购买默认为第一个 不选择的话
            }
            break;
        case '1'://单购选择
            $("#buytype").val("1");
            $(".c-tcBox .false").removeClass('curr');     //去掉选中的样式信息
            if ($("#contentInfo").val() == "") {
                $("#contentInfo").val("0")
            }
            break;
    }
}

//移除信息  单购
function DeleteDG(timeid, bespeakid) {
    //复选框状态改变
    $("#Time" + timeid).attr("checked", false);
    //移除选中的时间段信息
    $("#DG" + timeid).remove();

    $(".c-st-tabTit dt").click();
    CulMoney(bespeakid);

    //删空了之后增加的为空的显示
    $('.c-st-tabConbox').each(function () {
        if ($(this).find('li').size() == 0) {
            $(this).find('ul').html('<div class="empty">对不起，暂无课程！</div>');
        }
    });

}

function CulMoney(bespeakid) {
    var content = "";
    var price = 0.00;
    $("#DG" + bespeakid + " li").each(function () {
        content += $(this).attr("id").replace("DG", "") + ",";
        price += parseFloat($(".c-dg-money").html().replace("￥", ""));
    })
    content = content.substring(0, content.length - 1);
    $("#money").html(price.toFixed(2));
    $("#contentInfo").val(content);
}

//添加购买的内容信息
function AddContent(timeid, bespeakid) {
    //为套餐购买的时候    改变成单独购买
    if ($("#buytype").val() == "0") {
        $("#buytype").val("1");
        $("#contentInfo").val(timeid);
    } else {
        CulMoney(bespeakid);
    }
}

//选择套餐的类型
function SelectMeal(num) {
    if ($("#buytype").val() == "0") {
        $("#contentInfo").val(num);
    } else {
        $("#buytype").val("0");
        $("#contentInfo").val(num);
    }
    $("#money").html($("#tcmoney" + num).html());
}



//预约主题内容页  留言显示
function getuserask(id) {
    $.ajax({
        type: 'post',
        datatype: 'text',
        url: "/index.aspx?c=course&a=teacherview&action=getliuyan&id=" + id + "",
        data: {},
        success: function (msg) {
            if (msg == "over") { }
            else {
                $("#liuyan").html(msg);
            }
        }
    });
}
//留言方法
function adduserask(id) {
    var askcontent = $("#contentask").val() + "&#&" + $("#files").val();
	
    if ($("#contentask").val() != "") {
        $.ajax({
            type: 'post',
            datatype: 'text',
            url: "/index.aspx?c=course&a=teacherview&action=addask&id=" + id + "",
            data: { content: askcontent, tcid: id },
            success: function (msg) {
                if (msg == "0") { alert("您未登录，请登录"); showuserlogin(); }
                else if (msg == "maxcount") {
                    alert("您今天的留言数量已达到最大");
                }
                else {
                    var temp = msg.split('&&');
                    if (temp[0] == "0") {
                        alert("留言成功！请等待管理员审核！");
                    } else {
                        alert("留言成功！");
                    }
                    $("#contentask").val("");
                    $("#files").val("");
                    $(".upshow").empty();
                    getuserask(id);
                }
            }
        });
    }
    else{
        alert("请输入留言");
		$("#contentask").focus();
    }
}









